Rezer.net » Расширение: Блоги » Модуль Первый выпуск патча
Блоги

Блоги

Расширение для движка Data Life Engine, которое позволяет создавать вашим посетителям собственные блоги на вашем сайте

Стоимость модуля: 1620руб 1134руб (скидка 30%)

Модуль Первый выпуск патча


Этот патч является не только первым для данного модуля, но и первым из любых модулей, находящихся на данном сайте. И так, что же делает патч:

Исправление ошибки безопасности:

Описание: Была обнаружена ошибка безопастности: Недостаточная фльтрация входящих данных.
Степень опасности: Высокая

Также были исправлены и добавлены следующие моменты:

[*] Теперь при добавлении новости в блоге, в предпросмотре новости грузится шаблон новости блога, а не сайта.
[*] Исправлена ошибка, когда при сохранении в модуле "Замена слов" удалялись все замены.
[*] Исправлена ошибка, когда при полном удалении новости с сайта (через модуль блоги) не происходил пересчёт количества новостей в блоге.
[*] Исправлена ошибка при пересчёте статистики блога в админцентре модуля.
[*] Исправлена ошибка, когда в настройках новости выбрана опция "Просмотр только подключённым", а смотреть могли не подключённые к нему.
[*] Исправлена ошибка, когда в настройках блога выбрана опция "Комментировать всем", а комментировать могли только подключённые к нему.
[*] Исправлена ошибка, когда при полном удалении комментария с сайта (через модуль блоги), не обновлялось количество комментариев у его автора.
[*] Исправлены ошибки JS при очистке кэша и просмотра кода Ajax помошника в админцентре модуля.
[+] Добавлена защита от флуда в комментариях. Количество секунд берётся из настроек движка, если там "0" - то модуль не использует эту защиту.
[+] В шаблон fullstory.tpl добавлен тег "{short_story}", который отвечает за вывод краткой статьи.
[+] В шаблоны fullstory.tpl,shortstory.tpl добавлен тег "[complaint] и [/complaint]", который отвечает за жалобу на статью.
[+] В шаблоны вывода комментарий добавлен тег "[complaint] и [/complaint]", который отвечает за жалобу на комментарий.

Данный патч рекомендуется к установке всем пользователям, у которых установлена версия 1.4.5. Установка его довольно проста, необходимо только заменить файлы и запустить установщик патча (никаких изменений в файлах движка не требуется).

Комментарии 

Автор  Kanarsky, 31 октября 2011 04:30
В дистрибутиве уже есть данный патч? Если я вчера скачал и установил, то установка дополнительно патча не нужна?
Ответить
   
Автор  REZER, 31 октября 2011 09:11
Если вы вчера скачали и установили, то всегда можете проверить не установленные патчи через админцентр модуля в проверке обновлений (проверяется как версия, так и все патчи). Если не устанавливали и скачали только вчера, то патч уже вживлён в дистрибутив, в комментарии к архиву это написано.
Ответить

 


Отправить
Авторизация Регистрация
Блоги
  Реклама
Сегодня без рекламы
  Важный опрос
Ваша версия DLE

(Ваш вариант)

   Результаты
  Последние новости
  Счётчики
Rambler's Top100
Мы принимаем